1

Greetings Linux experts; I'm learning Ubuntu Linux for 2 months now and I'm really enjoying it. I'm trying to keep learning the terminal's commands and this is what I'm getting on the screen when uninstalling a package. I'm running the command: "sudo apt-get autoremove --purge pdfsam" for total deletion of the system. I ran this command twice to make sure it is done. The second time I ran the command I'm getting a long list of packages which I will paste bellow. I would like to know if these packages are install on the system, if just are files that can be removed or what?

sudo apt-get autoremove --purge pdfsam
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'pdfsam' is not installed, so not removed
The following packages will be REMOVED:
  gcc-4.8-base:i386* gstreamer0.10-plugins-ugly* java-wrappers* kde-l10n-engb*
  libapache-pom-java* libasound2:i386* libaudio2:i386* libavahi-client3:iz386*
  libavahi-common-data:i386* libavahi-common3:i386* libbcmail-java*
  libbcpkix-java* libbcprov-java* libcommons-codec-java*
  libcommons-httpclient-java* libcommons-logging-java* libcommons-parent-java*
  libcups2:i386* libdom4j-java* libdrm-amdgpu1:i386* libdrm-intel1:i386*
  libdrm-nouveau2:i386* libdrm-radeon1:i386* libechonest2.1* libedit2:i386*
  libelf1:i386* libexpat1:i386* libffi6:i386* libfontconfig1:i386*
  libfreetype6:i386* libftgl2* libgcrypt11:i386*
  libgl1-mesa-dri-lts-wily:i386* libgl1-mesa-glx-lts-wily:i386*
  libglapi-mesa-lts-wily:i386* libglib2.0-0:i386* libgnuinet-java*
  libgnumail-java* libgnutls26:i386* libgpg-error0:i386*
  libgssapi-krb5-2:i386* libgstreamer-plugins-base1.0-0:i386*
  libgstreamer1.0-0:i386* libice6:i386* libitext-java* libjaxen-java*
  libjbig0:i386* libjdom1-java* libjgoodies-common-java*
  libjgoodies-looks-java* libjpeg-turbo8:i386* libjpeg8:i386*
  libk5crypto3:i386* libkeyutils1:i386* libkrb5-3:i386*
  libkrb5support0:i386*
  liblastfm1* liblinear-tools* liblinear1* libllvm3.6:i386* liblog4j1.2-java*
  liblouis-data* liblouis2* libmysqlclient18:i386* liborc-0.4-0:i386*
  libp11-kit0:i386* libpciaccess0:i386* libprojectm2* libqt4-declarative:i386*
  libqt4-network:i386* libqt4-opengl:i386* libqt4-script:i386*
  libqt4-sql:i386* libqt4-sql-mysql:i386* libqt4-xml:i386*
  libqt4-xmlpatterns:i386* libqtcore4:i386* libqtdbus4:i386*   
  libqtgui4:i386*
  libqtwebkit-qmlwebkitplugin:i386* libqtwebkit4:i386* libqxt-core0*
  libqxt-gui0* libsm6:i386* libsqlite3-0:i386* libstdc++6:i386*
  libtasn1-6:i386* libtiff5:i386* libtxc-dxtn-s2tc0:i386* libx11-6:i386*
  libx11-xcb1:i386* libxau6:i386* libxcb-dri2-0:i386* libxcb-dri3-0:i386*
  libxcb-glx0:i386* libxcb-present0:i386* libxcb-sync1:i386* libxcb1:i386*
  libxdamage1:i386* libxdmcp6:i386* libxerces2-java* libxext6:i386*
  libxfixes3:i386* libxi6:i386* libxml-commons-external-java*
  libxml-commons-resolver1.1-java* libxml2:i386* libxom-java* libxpp2-java*
  libxpp3-java* libxrender1:i386* libxshmfence1:i386* libxslt1.1:i386*
  libxt6:i386* libxxf86vm1:i386* mysql-common* nymgo-bin:i386* projectm-data*
  python3-brlapi* python3-louis* python3-pyatspi* python3-speechd*
 0 upgraded, 0 newly installed, 122 to remove and 0 not upgraded.
 After this operation, 199 MB disk space will be freed.
 Do you want to continue? [Y/n] 
  • I'm not sure what your actual question is here. What do you want to achieve? – David Foerster Mar 15 '16 at 23:35
0

Autoremove & Purge

apt-get autoremove

will remove all old packages that are no longer needed.

apt-get purge

Will removes a specific package install. When running

apt-get autoremove --purge package  

you are telling the system to remove old pakages then uninstall package. It is completely safe to execute the command as written.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.